package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;

import java.util.function.Function;

public class AgroDonationsTasks {

    private final Harness harness;

    public AgroDonationsTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> chooseAgroDonations() {
        return start -> start
                .clickAgroPgrlf()
                .clickAgroSzif()
                .clickAgroYoungFarmer();
    }
}
